<?php
/**
 * Amazon Buy with Prime for WooCommerce Admin
 */

/* 
Before Product Summary 
woocommerce_before_single_product_summary
Top Of Product Summary
woocommerce_single_product_summary
Before the Add To Cart Button
woocommerce_before_add_to_cart_form
After Single Product Summary
woocommerce_after_single_product_summary



USE AS A SHORTCODE?

*/



/**
 * Add General Settings tab under Woocommerce -> Products
 */
add_filter( 'woocommerce_get_sections_products' , 'abwp_add_settings_tab', 999 );
function abwp_add_settings_tab( $settings_tab ){
     $settings_tab['abwp_settings'] = __( 'Amazon Buy with Prime' );
     return $settings_tab;
}

/**
 * Add General Settings tab fields
 */
add_filter( 'woocommerce_get_settings_products' , 'abwp_get_settings' , 10, 2 );
function abwp_get_settings( $settings, $current_section ) {
    $custom_settings = array();

    if( 'abwp_settings' == $current_section ) {

        $custom_settings =  array(

        array(
            'name' => __( 'General Settings' ),
            'type' => 'title',
            'desc' => __( 'Please make sure that you have enabled the products you want to display a Buy With Prime Button on in your <a target="_blank" href="https://console.buywithprime.amazon.com/login">Amazon Buy with Prime Console</a><br>
            <b>IMPORTANT: The Product SKU\'s in your Woocommerce shop must match the Product SKU\'s on Amazon.</b><br>
            It is not currentley possible to display the products ratings and reviews outside of the single product page. It will be implemented in this plugin once Amazon supports it. </br>
            <b>Example usage:</b><br><img style="border: 2px solid #2170b1;max-width: 450px;" src="'.ABWP_PLUGIN_DIR_URL.'images/example.png">' ),
            'id'   => 'abwp_general_settings'
        ),
/*
        array(
            'name' => __( 'Enable Free shipping notices' ),
            'type' => 'checkbox',
            'desc' => __( 'Show the free shipping threshold on product page'),
            'id'	=> 'enable'

        ),
*/
        array(
            'name' => __( 'Rating code' ),
            'type' => 'textarea',
            'desc' => __( 'Just paste the Ratings code that amazon generates for you. No need to replce or modify the {{product.sku}}'),
            'desc_tip' => true,
            'id'	=> 'abwp_ratings_html',
            'css' => 'min-height:140px;',
        ),

        array(
            'name' => __( 'Reviews code' ),
            'type' => 'textarea',
            'desc' => __( 'Just paste the Reviews code that amazon generates for you. No need to replce or modify the {{product.sku}}'),
            'desc_tip' => true,
            'id'	=> 'abwp_reviews_html',
            'css' => 'min-height:140px;'

        ),
        array(
            'name' => __( 'Button code' ),
            'type' => 'textarea',
            'desc' => __( 'Just paste the Button code that amazon generates for you. No need to replce or modify the {{product.sku}}'),
            'desc_tip' => true,
            'id'	=> 'abwp_button_html',
            'css' => 'min-height:140px;'

        ),
        array(
            'name' => __( 'Amazon Rating Location:' ),
            'type' => 'select',
            'desc' => __( 'Select where to display the Amazon review product rating.'),
            'desc_tip' => true,
            'id'	=> 'abwp_rating_location',
            'options' => array(
                'disabled' => __('Disabled'),
                'before_product_title' => __( 'Before Product Title' ),
                'after_product_title' => __( 'After Product Title' ),
                'after_short_description' => __( 'After Short Description' ),
                'before_add_to_cart' => __( 'Before Add to Cart Button' ),
                'after_add_to_cart' => __( 'After Add to Cart Button' )
            )

        ),
        array(
            'name' => __( 'Amazon Reviews Location:' ),
            'type' => 'select',
            'desc' => __( 'Select where to display the Amazon reviews on the product page.'),
            'desc_tip' => true,
            'id'	=> 'abwp_review_location',
            'options' => array(
                'disabled' => __('Disabled'),
                'replace' => __( 'Replace The Woocommerce Product Reviews' )

            )

        ),
        array(
            'name' => __( 'Amazon Buy With Prime Button Location:' ),
            'type' => 'select',
            'desc' => __( 'Select where to display the Amazon buy with prime button on the product page.'),
            'desc_tip' => true,
            'id'	=> 'abwp_button_location',
            'options' => array(
                'disabled' => __('Disabled'),
                'after_add_to_cart' => __( 'After Add to Cart Button' )

            )

        ),

        array( 
            'type' => 'sectionend', 'id' => 'abwp_general_settings' 
           ),

           array(
            'name' => __( 'Other Settings' ),
            'type' => 'title',
            'desc' => __( '' ),
            'id'   => 'abwp_settings' 
        ),
        array(
            'name' => __( 'Enable Ratings on Shop and Category Pages' ),
            'type' => 'checkbox',
            'desc' => __( '<b style="color:#ff0000">TEST FEATURE</b> - Check to Enable Ratings on Shop and Category Pages.'),
            'id'	=> 'abwp_enable_ratings_catalog'
        ),

        array( 
            'type' => 'sectionend', 'id' => 'abwp_settings' 
           ),


);

    return $custom_settings;
 } else {
        return $settings;
}

}


/*
&lt;div
id=&quot;amazn-roa-reviews&quot;
data-site-id=&quot;ifx90tho88&quot;
data-roa-instance-id=&quot;7guvzsmg0zw3&quot;
data-sku=&quot;get_sku(); ?&gt;"
&gt;</div>
*/


//$is_only_html = preg_match("#^(<[^>]*>)+$#", $string_input_to_check);



add_filter( 'woocommerce_admin_settings_sanitize_option', 'abwp_sanitize_function', 10, 3 );
function abwp_sanitize_function( $value, $option, $raw_value ) {
    if ( $option['id'] === 'abwp_ratings_html' || $option['id'] === 'abwp_reviews_html' || $option['id'] === 'abwp_button_html') {
        $value = html_entity_decode( $raw_value );
        $value = wp_kses_post(str_replace( 'get_sku(); ?>', '{{product.sku}}', $value));
    }
    return $value;
}

/**
 * Custom Fields 
 */
add_action( 'woocommerce_admin_field_abwp_termsoftrade', 'output_abwp_termsoftrade' );
function output_abwp_termsoftrade( ) {
    echo '<p>When TermsOfTrade DDP is selected, international customers will get charged duty and tax fees on checkout.</p>';
}











